using EQIA.EQIDL;

namespace EQIA
{
    public enum ColorRepresentation
    {
        Byte,
        Float,
        Hexidecimal,
    }

    public enum InputResponseMode
    {
        /// <summary>
        /// Don't respond to any input.
        /// </summary>
        None,

        /// <summary>
        /// Respond to input as if the interface is being used.
        /// </summary>
        Simulation,

        /// <summary>
        /// Respond to input as if editing the interface.
        /// </summary>
        Editor
    }

    public class EQIA_Settings
    {
        public static InputResponseMode InputResponse = InputResponseMode.None;
        public static ColorRepresentation ColorRepresentation = ColorRepresentation.Byte;
        public static Size DefaultSize = Size.Empty;
        public static RGB DefaultRGB = RGB.White;
    }
}
